Package org.eclipse.birt.chart.model.attribute.impl

# Class StyleImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.StyleImpl

All Implemented Interfaces:
  `Style`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class StyleImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements Style
An implementation of the model object 'Style'.

The following features are implemented:

- `Font`
- `Color`
- `Background Color`
- `Background Image`
- `Padding`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetBackgroundColor(ColorDefinition newBackgroundColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetBackgroundImage(Image newBackgroundImage, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetColor(ColorDefinition newColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetFont(FontDefinition newFont, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetPadding(Insets newPadding, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Style`
`copyInstance()`
`static Style`
`create(FontDefinition font, ColorDefinition color, ColorDefinition backcolor, Image backimage, Insets padding)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`ColorDefinition`
`getBackgroundColor()`
`Image`
`getBackgroundImage()`
`ColorDefinition`
`getColor()`
`FontDefinition`
`getFont()`
`Insets`
`getPadding()`
`void`
`setBackgroundColor(ColorDefinition newBackgroundColor)`
`void`
`setBackgroundImage(Image newBackgroundImage)`
`void`
`setColor(ColorDefinition newColor)`
`void`
`setFont(FontDefinition newFont)`
`void`
`setPadding(Insets newPadding)`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getFont

public FontDefinition getFont()

Specified by:
  `getFont` in interface `Style`
Returns:
  the value of the 'Font' containment reference.
See Also:
  - `Style.setFont(FontDefinition)`
  - `AttributePackage.getStyle_Font()`

### basicSetFont

public org.eclipse.emf.common.notify.NotificationChain basicSetFont(FontDefinition newFont, org.eclipse.emf.common.notify.NotificationChain msgs)

### setFont

public void setFont(FontDefinition newFont)

Specified by:
  `setFont` in interface `Style`
Parameters:
  `newFont` - the new value of the 'Font' containment reference.
See Also:
  - `Style.getFont()`

### getColor

public ColorDefinition getColor()

Specified by:
  `getColor` in interface `Style`
Returns:
  the value of the 'Color' containment reference.
See Also:
  - `Style.setColor(ColorDefinition)`
  - `AttributePackage.getStyle_Color()`

### basicSetColor

public org.eclipse.emf.common.notify.NotificationChain basicSetColor(ColorDefinition newColor, org.eclipse.emf.common.notify.NotificationChain msgs)

### setColor

public void setColor(ColorDefinition newColor)

Specified by:
  `setColor` in interface `Style`
Parameters:
  `newColor` - the new value of the 'Color' containment reference.
See Also:
  - `Style.getColor()`

### getBackgroundColor

public ColorDefinition getBackgroundColor()

Specified by:
  `getBackgroundColor` in interface `Style`
Returns:
  the value of the 'Background Color' containment reference.
See Also:
  - `Style.setBackgroundColor(ColorDefinition)`
  - `AttributePackage.getStyle_BackgroundColor()`

### basicSetBackgroundColor

public org.eclipse.emf.common.notify.NotificationChain basicSetBackgroundColor(ColorDefinition newBackgroundColor, org.eclipse.emf.common.notify.NotificationChain msgs)

### setBackgroundColor

public void setBackgroundColor(ColorDefinition newBackgroundColor)

Specified by:
  `setBackgroundColor` in interface `Style`
Parameters:
  `newBackgroundColor` - the new value of the 'Background Color' containment reference.
See Also:
  - `Style.getBackgroundColor()`

### getBackgroundImage

public Image getBackgroundImage()

Specified by:
  `getBackgroundImage` in interface `Style`
Returns:
  the value of the 'Background Image' containment reference.
See Also:
  - `Style.setBackgroundImage(Image)`
  - `AttributePackage.getStyle_BackgroundImage()`

### basicSetBackgroundImage

public org.eclipse.emf.common.notify.NotificationChain basicSetBackgroundImage(Image newBackgroundImage, org.eclipse.emf.common.notify.NotificationChain msgs)

### setBackgroundImage

public void setBackgroundImage(Image newBackgroundImage)

Specified by:
  `setBackgroundImage` in interface `Style`
Parameters:
  `newBackgroundImage` - the new value of the 'Background Image' containment reference.
See Also:
  - `Style.getBackgroundImage()`

### getPadding

public Insets getPadding()

Specified by:
  `getPadding` in interface `Style`
Returns:
  the value of the 'Padding' containment reference.
See Also:
  - `Style.setPadding(Insets)`
  - `AttributePackage.getStyle_Padding()`

### basicSetPadding

public org.eclipse.emf.common.notify.NotificationChain basicSetPadding(Insets newPadding, org.eclipse.emf.common.notify.NotificationChain msgs)

### setPadding

public void setPadding(Insets newPadding)

Specified by:
  `setPadding` in interface `Style`
Parameters:
  `newPadding` - the new value of the 'Padding' containment reference.
See Also:
  - `Style.getPadding()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static Style create(FontDefinition font, ColorDefinition color, ColorDefinition backcolor, Image backimage, Insets padding)

Parameters:
  `font` -
  `color` -
  `backcolor` -
  `backimage` -
  `padding` -
Returns:

### copyInstance

public Style copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Style`